import { ThemeOptions } from '@mui/material'

/*
  Based on guidelines found here: https://manual.uib.no/profilmanual/profilelementer/
 */
const uibTheme: ThemeOptions = {
  greg: {
    footerLinkBgColor: '#63b5cc',
  },
  typography: {
    fontFamily: ['Open Sans', 'Roboto'].join(','),
  },
  palette: {
    primary: {
      main: '#cf3c3a',
      light: '#ff6c6a',
    },
    secondary: {
      main: '#63b5cc',
      dark: '#4ea0b7',
      light: '#7ed0e7',
    },
  },
}

export default uibTheme
