from rest_framework.serializers import ModelSerializer

from greg.models import ConsentType


class ConsentTypeSerializer(ModelSerializer):
    class Meta:
        model = ConsentType
        fields = "__all__"


class ConsentTypeSerializerBrief(ModelSerializer):
    class Meta:
        model = ConsentType
        fields = [
            "identifier",
            "valid_from",
            "user_allowed_to_change",
        ]
